Subject: bug#70007: [PATCH] native JSON encoder

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Mar 2024 19:37:08 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 30 Mar 2024 15:22:34 +0100
> Cc: [email-masked],
>  [email-masked]
> 
> I made the changes above and installed it on master, as well as a sweeping removal of all things Jansson.

Thanks.  The new code failed to link due to an omission in
src/Makefile.in, and also the "clever" initialization in
json_serialize confused make-docfile (so globals.h were generated
incorrectly: they missed the DEFSYMs in syms_of_json).  I think I
fixed that, but please eyeball the changes to see if I missed
something.